
Packaging - Bug #6660

proxy rpm upgrade from 1.5 - 1.6 nightly does not upgrade cleanly

07/17/2014 03:43 AM - Ohad Levy

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: RPMs   

Target version: 1.6.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/297

  

Description

Updating   : foreman-proxy-1.6.0-0.develop.201407110944gitbbafbc0.el6.noarch        9/19 

mkdir: cannot create directory `/var/lib/rpm-state/foreman-proxy': No such file or directory

cp: cannot create regular file `/var/lib/rpm-state/foreman-proxy/settings.yml.orig': No such file 

or directory

warning: /etc/foreman-proxy/settings.yml created as /etc/foreman-proxy/settings.yml.rpmnew

Non-fatal POSTUN scriptlet failure in rpm package foreman-proxy

Related issues:

Has duplicate Packaging - Bug #6902: mkdir: cannot create directory `/var/lib... Duplicate 08/04/2014

Blocks Smart Proxy - Refactor #6473: Test 1.5 to 1.6 upgrade path Resolved 07/02/2014

Associated revisions

Revision 1eacced1 - 08/04/2014 06:58 AM - Dominic Cleal

fixes #6660 - create rpm-state if missing

Revision a9c67d7f - 08/11/2014 09:20 AM - Lukas Zapletal

Merge pull request #297 from domcleal/rpm/develop-6660-rpm-state

fixes #6660 - create rpm-state if missing

History

#1 - 07/17/2014 10:51 AM - Lukas Zapletal

- Category set to RPMs

- Difficulty set to easy

#2 - 07/21/2014 04:24 AM - Dominic Cleal

- Blocks Refactor #6473: Test 1.5 to 1.6 upgrade path added

#3 - 07/21/2014 06:09 AM - Dominic Cleal

- translation missing: en.field_release set to 10

#4 - 08/04/2014 06:10 AM - Dominic Cleal

- Has duplicate Bug #6902: mkdir: cannot create directory `/var/lib/rpm-state/foreman-proxy': No such file or directory added

#5 - 08/04/2014 06:58 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#6 - 08/04/2014 08:09 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

- Target version set to 1.7.5

- Pull request https://github.com/theforeman/foreman-packaging/pull/297 added

- Pull request deleted ()

#7 - 08/11/2014 09:20 AM - Lukas Zapletal

- Status changed from Ready For Testing to Closed

Merged.

Powered by TCPDF (www.tcpdf.org)

05/17/2024 2/2

http://www.tcpdf.org

